> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heyhumm.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Storage Settings



## OpenAPI

````yaml https://config.heyhumm.ai/api/openapi.json get /api/organization/{organization_id}/storage-setting
openapi: 3.1.0
info:
  title: Configuration API
  description: >-
    API for managing configuration and queues for various services. This service
    consolidates the API functionality previously provided by dd_rag_api and
    code_rag_api.
  version: 1.0.0
servers:
  - url: https://config.heyhumm.ai
security: []
paths:
  /api/organization/{organization_id}/storage-setting:
    get:
      tags:
        - Organizations
      summary: Get Storage Settings
      operationId: >-
        get_storage_settings_api_organization__organization_id__storage_setting_get
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Organization Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StorageSettingsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    StorageSettingsResponse:
      properties:
        organization_id:
          type: string
          format: uuid
          title: Organization Id
        data_storage_mode:
          $ref: '#/components/schemas/DataStorageMode'
        customer_s3_bucket:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer S3 Bucket
        customer_s3_region:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer S3 Region
        customer_storage_credential_mode:
          anyOf:
            - $ref: '#/components/schemas/CustomerStorageCredentialMode'
            - type: 'null'
        customer_aws_access_key_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer Aws Access Key Id
        has_customer_aws_secret_access_key:
          type: boolean
          title: Has Customer Aws Secret Access Key
          default: false
        customer_iam_role_arn:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer Iam Role Arn
        customer_iam_role_external_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer Iam Role External Id
        customer_iam_role_pending_external_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer Iam Role Pending External Id
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - organization_id
        - data_storage_mode
        - updated_at
      title: StorageSettingsResponse
      description: Response model for organization data storage configuration.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DataStorageMode:
      type: string
      enum:
        - humm_hosted
        - customer_hosted
      title: DataStorageMode
      description: Where synced integration data is stored.
    CustomerStorageCredentialMode:
      type: string
      enum:
        - static_keys
        - iam_role
      title: CustomerStorageCredentialMode
      description: How Humm authenticates to customer-hosted storage.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````